description

# UriData class Null safety

A way to access the structure of a `data:` URI.

Data URIs are non-hierarchical URIs that can contain any binary data. They are defined by RFC 2397.

This class allows parsing the URI text and extracting individual parts of the URI, as well as building the URI text from structured parts.

## Constructors

UriData.fromBytes(List<int> bytes, {String mimeType: "application/octet-stream", Map<String, String>? parameters, bool percentEncoded: false})
  Creates a `data:` URI containing an encoding of `bytes`. [...]
  factory
UriData.fromString(String content, {String? mimeType, Encoding? encoding, Map<String, String>? parameters, bool base64: false})
  Creates a `data:` URI containing the `content` string. [...]
  factory
UriData.fromUri(Uri uri)
  Creates a `DataUri` from a Uri which must have `data` as Uri.scheme. [...]
  factory

## Properties

charset → String
  The charset parameter of the media type. [...]
  read-only
contentText → String
  The content part of the data URI, as its actual representation. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isBase64 → bool
  Whether the data is Base64 encoded or not.
  read-only
mimeType → String
  The MIME type of the data URI. [...]
  read-only
parameters → Map<String, String>
  A map representing the parameters of the media type. [...]
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
uri → Uri
  The Uri that this `UriData` is giving access to. [...]
  read-only

## Methods

contentAsBytes() → Uint8List
  The content part of the data URI as bytes. [...]
contentAsString({Encoding? encoding}) → String
  Returns a string created from the content of the data URI. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

parse(String uri) → UriData
  Parses a string as a `data` URI. [...]